Subject: [manet] Question about AODV

From: "Jack Wang" <[email-masked]>
Date: Wed, 5 May 2004 01:23:31 -0400 (EDT)

Hi all,

In AODV, when a node detects a link break, it sends an ERROR message to nodes on its precursor list, so that the upstream nodes can know the broken link and disable the relevant routes.

For example,

      1-----2----5---X---6

The original route is 1-2-5-6. Assume the link between 5 and 6 is down. Node 5 will send ERROR to 2, then 2 sends ERROR to 1. 
But if due to some reason, e.g., collision, node 2 does not receive node 5's ERROR message, 2 will not disable the route. So both 1 and 2 store invalid route, which may cause packet dropping. 
Is my analysis correct? How to prevent the above problem?

Thanks,

Jack

_______________________________________________
Join Excite! - http://www.excite.com
The most personalized portal on the Web!

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Justin Lipman <[email-masked]>
Date: Wed, 5 May 2004 16:31:13 +1000

Hi Jack,

I think a possible answer to your question is as follows:

Route error messages are unicast. Thus if node 5 sends a route error message 
back to node 2, it will know if node 2 does not receive the route error 
message and if it still has a link to node 2, then possibly (not sure in the 
current revision of aodv) it will try to send the route error message to 2 
again. Now lets assume node 2 moves out of transmission range of node 5 and 
therefore node 5 cant communicate with node 2. Then I assume node 2 will 
determine a link error with node 5 and inform node 1. What happens to node 5, 
well it loses both links... possibly there is room for some local route 
repair? I havent kept up with the aodv spec... so maybe someone more 
knowledgeable will provide a better answer... :-)

Cheers,
Justin

-- 
Research Associate
Smart Internet Technology Cooperative Research Centre
http://www.titr.uow.edu.au/~justin

On Wed, 5 May 2004 03:23 pm, Jack Wang wrote:
> Hi all,
>
> In AODV, when a node detects a link break, it sends an ERROR message to
> nodes on its precursor list, so that the upstream nodes can know the broken
> link and disable the relevant routes.
>
> For example,
>
>       1-----2----5---X---6
>
> The original route is 1-2-5-6. Assume the link between 5 and 6 is down.
> Node 5 will send ERROR to 2, then 2 sends ERROR to 1. But if due to some
> reason, e.g., collision, node 2 does not receive node 5's ERROR message, 2
> will not disable the route. So both 1 and 2 store invalid route, which may
> cause packet dropping. Is my analysis correct? How to prevent the above
> problem?
>
> Thanks,
>
> Jack
>
>

---

From: "Koojana Kuladinithi" <[email-masked]>
Date: Wed, 5 May 2004 10:46:52 +0200

Hi Jack

> Node 5 will send ERROR to 2, then 2 sends ERROR to 1.
> But if due to some reason, e.g., collision, node 2 does not receive node
> 5's ERROR message, 2 will not disable the route. So both 1 and 2 store
> invalid route, which may cause packet dropping.

RFC 3561 (section 6.11) says that RERR will be generated if data comes to
the invalid route if the node has not initiated the local repair.
For your example, though the first RERR was not propagated to 2, node 5 has
another opportunity to inform node 2 again with RERR, when its get data
packets to 6.